#include "gen.h"

void ladder( int nn, int k )
{
  int maxw = 1000000000;
  int w = maxw / (nn + k);
  for (int i = 0; i < nn; i++)
    s[n] = i * w, t[n++] = k * w;
}

void gen( int argc, char *argv[] )
{
  assert(argc % 2 == 0);
  for (int i = 0; i < argc; i += 2)
  {
    int nn = atoi(argv[i]);
    int k = atoi(argv[i + 1]);
    ladder(nn, k);
  }
}
